Bug 92577 - Rendering artifacts on pressing Page Down multiple times on multi-page document
Summary: Rendering artifacts on pressing Page Down multiple times on multi-page document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-06 15:17 UTC by Miklos Vajna
Modified: 2016-10-25 19:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Android editing reference ODT document (285.96 KB, application/vnd.oasis.opendocument.text)
2015-07-06 15:17 UTC, Miklos Vajna
Details
Screenshot (177.28 KB, image/png)
2015-07-06 15:18 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-07-06 15:17:06 UTC
Created attachment 117083 [details]
Android editing reference ODT document

If you open the attached document in a small enough window, so that 2 page down keypresses take you between page 1 and page 2, you'll see some rendering artifacts.
Comment 1 Miklos Vajna 2015-07-06 15:18:51 UTC
Created attachment 117084 [details]
Screenshot

What happens with the gtk2 VCL backend on master.
Comment 2 Commit Notification 2015-07-06 15:50:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b26c1796d0a05f47cfb01d79ee4f69344efbbb2

tdf#92577 sw rendercontext: paint transparent from controls conditionally

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-07-07 08:16:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=278404a3fae926aeadcf8065b4a5faa07b8c15e2&h=libreoffice-5-0

tdf#92577 sw rendercontext: paint transparent from controls conditionally

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.